---
title: "Get cards"
description: "Retrieve a paginated list of cards with optional filtering."
protocol: rest
method: GET
endpoint: "/v1/cards"
baseUrl: "https://api.gravv.xyz"
group: "Cards"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get cards

<Endpoint method="GET" path="/v1/cards" />

Retrieve a paginated list of cards with optional filtering.

## Query Parameters

<ParamField name="page" query="page" type="integer" default="1">
  Page number for pagination
</ParamField>

<ParamField name="items_per_page" query="items_per_page" type="integer" default="10">
  Number of cards per page
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | List of cards retrieved successfully |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="items" type="object[]">

      <Expandable title="properties">
        <ResponseField name="account_id" type="string">
          ID of the account associated with this card
        </ResponseField>

        <ResponseField name="address" type="object">

          <Expandable title="properties">
            <ResponseField name="city" type="string">
            </ResponseField>

            <ResponseField name="country_iso_code" type="string">
            </ResponseField>

            <ResponseField name="postal_code" type="string">
            </ResponseField>

            <ResponseField name="state" type="string">
            </ResponseField>

            <ResponseField name="street" type="string">
            </ResponseField>

          </Expandable>
        </ResponseField>

        <ResponseField name="asset" type="string">
          Blockchain asset associated with the card
        </ResponseField>

        <ResponseField name="blockchain_network" type="string">
          Blockchain network for the card
        </ResponseField>

        <ResponseField name="currency" type="string">
          Currency of the card
        </ResponseField>

        <ResponseField name="customer_id" type="string">
          ID of the customer who owns this card
        </ResponseField>

        <ResponseField name="date_created" type="string">
          Timestamp when the card was created
        </ResponseField>

        <ResponseField name="date_updated" type="string">
          Timestamp when the card was last updated
        </ResponseField>

        <ResponseField name="expiry" type="string">
          Card expiration date
        </ResponseField>

        <ResponseField name="id" type="string">
          Unique identifier for the card
        </ResponseField>

        <ResponseField name="masked_pan" type="string">
          Last 4 digits of the card number
        </ResponseField>

        <ResponseField name="name_on_card" type="string">
          Name printed on the card
        </ResponseField>

        <ResponseField name="network" type="string">
          Card network, for example, visa or mastercard
        </ResponseField>

        <ResponseField name="proxy_address" type="string">
          Proxy address associated with the card
        </ResponseField>

        <ResponseField name="status" type="string">
          Current status of the card

          Possible values: `active`, `freeze`, `blocked`
        </ResponseField>

        <ResponseField name="wallet_address" type="string">
          Wallet address associated with the card
        </ResponseField>

      </Expandable>
    </ResponseField>

    <ResponseField name="items_per_page" type="integer">
      Number of cards returned per page
    </ResponseField>

    <ResponseField name="page" type="integer">
      Current page number
    </ResponseField>

    <ResponseField name="total_items" type="integer">
      Total number of cards
    </ResponseField>

    <ResponseField name="total_pages" type="integer">
      Total number of pages
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "items": [
      {
        "account_id": "9b40be8d-9d74-4d2a-8897-dea3ef80ad23",
        "address": {
          "city": "New York",
          "country_iso_code": "US",
          "postal_code": "10002",
          "state": "New York",
          "street": "201 Allen St"
        },
        "asset": "USDC",
        "blockchain_network": "polygon",
        "currency": "USD",
        "customer_id": "1805c3be-abca-4698-9cbd-789fc1d619eb",
        "date_created": "2025-12-05T10:48:18.170061Z",
        "date_updated": "2025-12-06T15:31:40.273281Z",
        "expiry": "8/2029",
        "id": "ac21ddfc-f6ba-432c-abb3-c5e2243e8ef7",
        "masked_pan": "9032",
        "name_on_card": "Jane Doe",
        "network": "visa",
        "proxy_address": "0x68603Ce66b3FEdC7834E697C19bb405c582B9278",
        "status": "active",
        "wallet_address": "0xa10a5f695dfe578a13b2d618a8ea8679d8d2036d"
      }
    ],
    "items_per_page": 1,
    "page": 1,
    "total_items": 5,
    "total_pages": 5
  },
  "error": null
}
```

</ResponseExample>

## Authorization

- **ApiKeyAuth**
